part of '../widgets.dart';

typedef PDFViewerState = GlobalKey<SfPdfViewerState>;

abstract class Viewer extends StatelessComponent {
  const Viewer({super.key, required this.src});
  final String src;

  @override
  Widget build(BuildContext context) {
    return buildViewer(context);
  }

  Widget buildViewer(BuildContext context);
}

class FREViewerPDF extends Viewer {
  const FREViewerPDF({required Key key, required this.url})
      : super(key: key as PDFViewerState, src: url);
  final String url;

  @override
  Widget buildViewer(BuildContext context) {
    return SfPdfViewer.network(src, key: key as PDFViewerState);
  }
}
